summaryrefslogtreecommitdiffstats
path: root/.gitlab-ci/scons-build.sh
diff options
context:
space:
mode:
Diffstat (limited to '.gitlab-ci/scons-build.sh')
-rwxr-xr-x.gitlab-ci/scons-build.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/.gitlab-ci/scons-build.sh b/.gitlab-ci/scons-build.sh
new file mode 100755
index 00000000000..30e93c2bb38
--- /dev/null
+++ b/.gitlab-ci/scons-build.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+set -e
+set -o xtrace
+
+if test -n "$LLVM_VERSION"; then
+ export LLVM_CONFIG="llvm-config-${LLVM_VERSION}"
+fi
+
+rm -rf build
+scons $SCONS_TARGET
+eval $SCONS_CHECK_COMMAND